summaryrefslogtreecommitdiffstats
path: root/network/pidgin-gfire
diff options
context:
space:
mode:
author Matteo Bernardini2012-09-08 09:22:51 +0200
committer Robby Workman2012-09-09 00:28:32 +0200
commit3b1b4a4c1965f90bc4f73aeecb98df454683e687 (patch)
treeec8528bec33cea82b60cd05f36039d48696add0f /network/pidgin-gfire
parent5522ea241c2ad65c41fb3b3fe22263ed9bdfefe8 (diff)
downloadslackbuilds-3b1b4a4c1965f90bc4f73aeecb98df454683e687.tar.gz
network/pidgin-gfire: Added (pidgin plugin for xfire).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network/pidgin-gfire')
-rw-r--r--network/pidgin-gfire/README5
-rw-r--r--network/pidgin-gfire/pidgin-gfire.SlackBuild101
-rw-r--r--network/pidgin-gfire/pidgin-gfire.info10
-rw-r--r--network/pidgin-gfire/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/network/pidgin-gfire/README b/network/pidgin-gfire/README
new file mode 100644
index 0000000000..3250fb9827
--- /dev/null
+++ b/network/pidgin-gfire/README
@@ -0,0 +1,5 @@
+pidgin-gfire (pidgin plugin for xfire)
+
+Gfire is an advanced open-source Xfire plugin for the popular Pidgin
+IM client.
+It allows you to connect and communicate on the Xfire network.
diff --git a/network/pidgin-gfire/pidgin-gfire.SlackBuild b/network/pidgin-gfire/pidgin-gfire.SlackBuild
new file mode 100644
index 0000000000..e27a550d65
--- /dev/null
+++ b/network/pidgin-gfire/pidgin-gfire.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for pidgin-gfire
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy, 2012
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pidgin-gfire
+SRCNAM=gfire
+VERSION=${VERSION:-20120528_8392cbe}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sh autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pidgin-gfire/pidgin-gfire.info b/network/pidgin-gfire/pidgin-gfire.info
new file mode 100644
index 0000000000..b955b0517b
--- /dev/null
+++ b/network/pidgin-gfire/pidgin-gfire.info
@@ -0,0 +1,10 @@
+PRGNAM="pidgin-gfire"
+VERSION="20120528_8392cbe"
+HOMEPAGE="http://gfireproject.org/"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/gfire-20120528_8392cbe.tar.xz"
+MD5SUM="9467c9406e07525abbb0100786d8e86b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/network/pidgin-gfire/slack-desc b/network/pidgin-gfire/slack-desc
new file mode 100644
index 0000000000..bc81cb3573
--- /dev/null
+++ b/network/pidgin-gfire/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pidgin-gfire: pidgin-gfire (pidgin plugin for xfire)
+pidgin-gfire:
+pidgin-gfire: Gfire is an advanced open-source Xfire plugin for the popular Pidgin
+pidgin-gfire: IM client.
+pidgin-gfire: It allows you to connect and communicate on the Xfire network.
+pidgin-gfire:
+pidgin-gfire: homepage: http://gfireproject.org/
+pidgin-gfire:
+pidgin-gfire:
+pidgin-gfire:
+pidgin-gfire: